%define upstream_name    Business-Hours
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Calculate business hours in a time period
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Set::IntSpan) >= 1.120.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
This module is a simple tool for calculating business hours in a time
period. Over time, additional functionality will be added to make it easy
to calculate the number of business hours between arbitrary dates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.130.0-2.mga8
+ Revision: 1522015
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jan 12 2019 tv <tv> 0.130.0-1.mga7
+ Revision: 1355766
- update to 0.13

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-8.mga7
+ Revision: 1265800
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1022811
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 948508
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 787942
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 748844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 683614
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 532857
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 469770
- update to 0.12

* Mon Jul 22 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 457070
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 363401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 buchan <buchan> 0.100.0-1.mga2
+ Revision: 233103
- imported package perl-Business-Hours


* Mon Apr 23 2012 Buchan Milne <buchan@mageia.org> 0.10-1mga
- initial mageia release, generated with cpan2dist
